> ## Documentation Index
> Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get browser use task status



## OpenAPI

````yaml /openapi.json GET /api/task/browser-use/{id}/status
openapi: 3.0.1
info:
  title: Hyperbrowser API
  version: 1.0.0
servers:
  - url: https://api.hyperbrowser.ai
    description: Production server
security: []
paths:
  /api/task/browser-use/{id}/status:
    get:
      summary: Get browser use task status
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Browser use task status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatusResponse'
        '404':
          description: Browser use task not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: javascript
          label: Get BrowserUse task status
          source: |-
            import { Hyperbrowser } from '@hyperbrowser/sdk';

            const client = new Hyperbrowser({ apiKey: 'your-api-key' });

            await client.agents.browserUse.getStatus('task-id');
        - lang: python
          label: Get BrowserUse task status
          source: |-
            from hyperbrowser import Hyperbrowser

            client = Hyperbrowser(api_key='your-api-key')

            client.agents.browser_use.get_status('task-id')
components:
  schemas:
    JobStatusResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/JobStatus'
      required:
        - status
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
    JobStatus:
      type: string
      enum:
        - pending
        - running
        - completed
        - failed
        - stopped
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````